commit:     7a16b479386b0087d551eac28b81e2facc97166d
Author:     Henning Schild <henning <AT> hennsch <DOT> de>
AuthorDate: Sat Feb 24 03:16:42 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Feb 24 03:21:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a16b479

www-apps/radicale: Bump to v1.1.6

Closes: https://github.com/gentoo/gentoo/pull/5990
Bug: https://bugs.gentoo.org/618176
Bug: https://bugs.gentoo.org/618724

Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 www-apps/radicale/Manifest                         |  1 +
 .../radicale/files/radicale-1.1.6-config.patch     | 34 ++++++++++
 www-apps/radicale/radicale-1.1.6.ebuild            | 75 ++++++++++++++++++++++
 3 files changed, 110 insertions(+)

diff --git a/www-apps/radicale/Manifest b/www-apps/radicale/Manifest
index 8a93a667d07..a84266d4ed5 100644
--- a/www-apps/radicale/Manifest
+++ b/www-apps/radicale/Manifest
@@ -1 +1,2 @@
 DIST Radicale-1.1.1.tar.gz 47174 BLAKE2B 
60b2ccff2a2c604becc8c4c40d106c467f43be93593471732528cf1939165451702aa6e0ed8435584eb1202072fbe82a9afecd292b6365143d095f784e7eecb5
 SHA512 
dc251d8fa4d347c2bbcf472b7a2da94d674f858a007fec1d74774cd1f3ae43eb2d5902ed45762638ec49546b8ee1f66446d07b50fc0ff6595deb67ea07f87af2
+DIST Radicale-1.1.6.tar.gz 48280 BLAKE2B 
38d3047d473fad24188b597a57d3e1f0e34df03f00f6806b86c447ed731be074bf0b5f6dfb951c8a9f627993bf0763792150bc06532414a658e4d306123fcdd6
 SHA512 
3fed85fc5fa2b041277112870b8b508a22cc85ec0680dd1cf9411e73715e18a9b0ddd651eafb0c9529bd308e7fd87ae44ecdd82935f4062050919780301d56d9

diff --git a/www-apps/radicale/files/radicale-1.1.6-config.patch 
b/www-apps/radicale/files/radicale-1.1.6-config.patch
new file mode 100644
index 00000000000..4eb286f8d40
--- /dev/null
+++ b/www-apps/radicale/files/radicale-1.1.6-config.patch
@@ -0,0 +1,34 @@
+diff --git a/config b/config
+index 453a45e..10c1595 100644
+--- a/config
++++ b/config
+@@ -146,7 +146,7 @@ http_password_parameter =
+ #custom_handler =
+ 
+ # File for rights management from_file
+-#file = ~/.config/radicale/rights
++file = /etc/radicale/rights
+ 
+ 
+ [storage]
+@@ -163,7 +163,7 @@ file = ~/.config/radicale/rights
+ #custom_handler =
+ 
+ # Folder for storing local collections, created if not present
+-#filesystem_folder = ~/.config/radicale/collections
++filesystem_folder = /var/lib/radicale/
+ 
+ # Database URL for SQLAlchemy
+ # dialect+driver://user:password@host/dbname[?key=value..]
+diff --git a/logging b/logging
+--- a/logging
++++ b/logging
+@@ -45,7 +45,7 @@ formatter = simple
+ [handler_file]
+ # File handler
+ class = FileHandler
+-args = ('/var/log/radicale',)
++args = ('/var/log/radicale/radicale.log',)
+ formatter = full
+ 
+ 

diff --git a/www-apps/radicale/radicale-1.1.6.ebuild 
b/www-apps/radicale/radicale-1.1.6.ebuild
new file mode 100644
index 00000000000..702c9e9c110
--- /dev/null
+++ b/www-apps/radicale/radicale-1.1.6.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit eutils distutils-r1 user
+
+MY_PN="Radicale"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A simple CalDAV calendar server"
+HOMEPAGE="http://radicale.org/";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=dev-python/vobject-0.9.5[${PYTHON_USEDEP}]"
+
+S=${WORKDIR}/${MY_P}
+
+RDIR=/var/lib/radicale
+LDIR=/var/log/radicale
+
+PATCHES=( "${FILESDIR}"/${P}-config.patch )
+
+pkg_setup() {
+       enewgroup radicale
+       enewuser radicale -1 -1 ${RDIR} radicale
+}
+
+python_install_all() {
+       rm README* || die
+
+       # init file
+       newinitd "${FILESDIR}"/radicale.init.d radicale
+
+       # directories
+       diropts -m0750
+       dodir ${RDIR}
+       fowners radicale:radicale ${RDIR}
+       keepdir ${RDIR}
+       diropts -m0755
+       dodir ${LDIR}
+       fowners radicale:radicale ${LDIR}
+       keepdir ${LDIR}
+
+       # config file
+       insinto /etc/${PN}
+       doins config logging
+
+       # fcgi and wsgi files
+       exeinto /usr/share/${PN}
+       doexe radicale.wsgi
+       doexe radicale.fcgi
+
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       einfo "A sample WSGI and FastCGI script are in ${EROOT}usr/share/${PN}."
+       einfo "Radicale supports different authentication backends that depend 
on external libraries."
+       einfo "Please install"
+       optfeature "LDAP auth" dev-python/python-ldap
+       optfeature "PAM auth" dev-python/python-pam
+       optfeature "HTTP auth" dev-python/requests
+       optfeature "FastCGI mode" dev-python/flup
+       optfeature "Database storage backend" dev-python/sqlalchemy
+       einfo "Please note that some of these libraries are Python 2 only."
+}

Reply via email to